<?php
session_start();
$ruta="../../../";
$folder="";
include_once($ruta."class/dominio.php");
$dominio=new dominio;
include_once($ruta."class/persona.php");
$persona=new persona;
include_once($ruta."class/domicilio.php");
$domicilio=new domicilio;
include_once($ruta."class/vadmejecutivo.php");
$vadmejecutivo=new vadmejecutivo;
include_once($ruta."class/admejecutivo.php");
$admejecutivo=new admejecutivo;
include_once($ruta."class/vusuario2.php");
$vusuario2=new vusuario2;
include_once($ruta."class/sede.php");
$sede=new sede;
include_once($ruta."class/horario.php");
$horario=new horario;
include_once($ruta."class/files.php");
$files=new files;
include_once($ruta."funciones/funciones.php");
require_once($ruta.'recursos/pdf/tcpdf/tcpdf.php');
include($ruta."recursos/qr/qrlib.php"); 
/******************    SEGURIDAD *************/

//******* SEGURIDAD GET *************/
extract($_GET);
$valor=dcUrl($lblcode);
$deje=$vadmejecutivo->muestra($valor);
$eje=$admejecutivo->muestra($valor);
$per=$persona->muestra($deje['idpersona']);
$dom=$domicilio->muestra($deje['idpersona']);
$sex=$dominio->muestra($per['idsexo']);
$vus=$vusuario2->mostrarUltimo("idpersona=".$per['idpersona']);

$hor=$horario->muestra($eje['idhorario']);
$sed=$sede->muestra($eje['idsede']);
$dom=$domicilio->mostrarUltimo("idpersona=".$deje['idpersona']);

$rutaImg=$ruta."imagenes/logo2.png";
$fechaActual=date('Y-m-d');
    $horaActual=date("H:i:s");
$idpersona=$deje['idpersona'];
if (!ctype_digit(strval($valor))) {
  if (!isset($_SESSION["faltaSistema"]))
  {  $_SESSION['faltaSistema']="0"; }
  $_SESSION['faltaSistema']=$_SESSION['faltaSistema']+1;
  header('Location: '.$ruta.'login/salir.php');
}


/******** foto ***********/
$dfoto=$files->mostrarTodo("id_publicacion=".$idpersona." and tipo_foto='foto'");
$dfoto=array_shift($dfoto);
if (count($dfoto)>0) {
    //$rutaFoto=$ruta."administrativo/ejecutivo/foto/server/php/".$valor."/".$dfoto['name'];
    $rutaFoto=$ruta."persona/editar/server/php/".$idpersona."/".$dfoto['name'];
}
else{
    $rutaFoto=$ruta."imagenes/user.png";
}


                    


// create new PDF document
$pdf = new TCPDF(PDF_PAGE_ORIENTATION, PDF_UNIT, PDF_PAGE_FORMAT, true, 'UTF-8', false);
//$pdf->SetPrintHeader(false);
$pdf->setHeaderData('',0,'','',array(0,0,0), array(255,255,255) );  
// set document information
$pdf->SetCreator(PDF_CREATOR);
$pdf->SetAuthor('Hz');
$pdf->SetTitle('EJECUTIVO');
$pdf->SetSubject('EJECUTIVO');
$pdf->SetKeywords('EJECUTIVO');


// set header and footer fonts
$pdf->setHeaderFont(Array(PDF_FONT_NAME_MAIN, '', PDF_FONT_SIZE_MAIN));
$pdf->setFooterFont(Array(PDF_FONT_NAME_DATA, '', PDF_FONT_SIZE_DATA));

// set default monospaced font
$pdf->SetDefaultMonospacedFont(PDF_FONT_MONOSPACED);

// set margins
//$pdf->SetMargins(PDF_MARGIN_LEFT, PDF_MARGIN_TOP, PDF_MARGIN_RIGHT);
//$pdf->SetHeaderMargin(PDF_MARGIN_HEADER);
//$pdf->SetFooterMargin(PDF_MARGIN_FOOTER);

// set auto page breaks
$pdf->SetAutoPageBreak(TRUE, PDF_MARGIN_BOTTOM);

// set image scale factor

// set some language-dependent strings (optional)
if (@file_exists(dirname(__FILE__).'/lang/es.php')) {
    require_once(dirname(__FILE__).'/lang/es.php');
    $pdf->setLanguageArray($l);
}

// ---------------------------------------------------------

// set default font subsetting mode
$pdf->setFontSubsetting(true);

// Set font
// dejavusans is a UTF-8 Unicode font, if you only need to
// print standard ASCII chars, you can use core fonts like
// helvetica or times to reduce file size.
//$pdf->SetFont('dejavusans', '', 14, '', true);
$pdf->SetFont('helvetica', '', 8);
$pdf->AddPage('','A4');
// Add a page
// This method has several options, check the source code documentation for more information.
setlocale(LC_ALL, 'es_ES').': ';
// Set some content to print
$html=' 
<style>
.tituloFactura{
  font-size:10px;
  font-weight: bold;
}
.tituloCenda{
  color:red;
}
.letras{
  font-size:8px;
  text-align: left;
}
.letras2{
  font-size:18px;
}
</style>
<table width="100%"  align="center">
    <tr>
        <td>
          <center>
            <img style="width:130px;" src="'.$rutaImg.'" >
          </center>
        </td>
        <td class="tituloFactura" >
           
        </td>
        <td><br><br>
           <table class="letras" cellpadding="2">
                        <tr>
                          <td align="right">
                            FECHA:
                          </td>
                          <td align="left">
                            <b>'.$fechaActual.'</b>
                          </td>
                        </tr>
                        <tr>
                          <td align="right">
                            HORA:
                          </td>
                          <td align="left">
                            <b>'.$horaActual.'</b>
                          </td>
                        </tr>
                      </table>               
        </td>
    </tr>
</table>';
$pdf->SetFont('helvetica', '', 8);
$pdf->writeHTMLCell(0, 0, '', '', $html, 0, 1, 0, true, '', true);
$html='
<br><br><br>
<table width="100%">
  <tr>
    <td width="35%"></td>
    <td><center><b style="font-size:15px;">REGISTRO DE PERSONAL</b></center></td>
  </tr>
</table>
<br>
<br>
<table class="sfila" width="704">
    <tr>
        <td width="140">
            <center>
                <img src="'.$rutaFoto.'"  width="100" >                
            </center>
        </td>
        <td class="cabecera2" width="400">
            <table  cellpadding="2" width="100%">
                <tr>
                    <td width="30%">
                        NOMBRE
                    </td>
                    <td width="70%">: <b>
                        '.$deje["nombre"]." ".$deje["paterno"]." ".$deje["materno"].'</b>
                    </td>
                </tr>
                <tr>
                    <td>
                        CARNET
                    </td>
                    <td>: <b>
                        '.$deje["carnet"]." ".$deje["expedido"].'</b>
                    </td>
                </tr>
                <tr>
                    <td>
                        FECHA NACIMIENTO
                    </td>
                    <td>: <b>
                        '.$deje["nacimiento"].'</b>
                    </td>
                </tr>
                <tr>
                    <td>
                        EMAIL
                    </td>
                    <td>: <b>
                        '.$per["email"].'</b>
                    </td>
                </tr>
                <tr>
                    <td>
                        CELULAR
                    </td>
                    <td>: <b>
                        '.$per["celular"].'</b>
                    </td>
                </tr>
                <tr>
                    <td>
                        SEXO
                    </td>
                    <td>: <b>
                        '.$sex["nombre"].'</b>
                    </td>
                </tr>
                <tr>
                    <td>
                        Domicilio
                    </td>
                    <td>: <b>
                        '.$dom["nombre"].', Zona '.$dom["idbarrio"].'</b>
                    </td>
                </tr>
            </table>
        </td>
    </tr>
</table>
<BR><BR><BR>
<b>DATOS LABORALES</b><BR>
____________________________________________________________________________________________________________________
<BR>
<table  cellpadding="4" width="704">
   
    <tr>
        <td width="110">
            CARGO
        </td>
        <td width="160">: <b>
            '.$vus["rol"].'</b>
        </td>
        <td width="110">
            TRABAJO
        </td>
        <td width="160">: <b>
            '.$hor["nombre"].'</b>
        </td>
    </tr>
    <tr>
        
        <td width="110">
            FECHA INGRESO
        </td>
        <td width="160">: <b>
            '.$deje["fechaingreso"].'</b>
        </td>
        <td width="110">
            HORARIO
        </td>
        <td width="160">: <b>
            '.$hor["horarioingreso"].' - '.$hor["horariosalida"].'</b>
        </td>
    </tr>
    <tr>
        <td width="110">
            SEDE
        </td>
        <td width="160">: <b>
            '.$sed["nombre"].'</b>
        </td>
        <td width="110">
            OBS.
        </td>
        <td width="160">: <b>
            '.$deje["obser"].'</b>
        </td>
    </tr>
    <tr>
        <td width="110">
            FECHA REGISTRO
        </td>
        <td width="160">: <b>
            '.$deje["fechacreacion"].'</b>
        </td>
        <td width="110">
            HORA REGISTRO
        </td>
        <td width="160">: <b>
            '.$deje["horacreacion"].'</b>
        </td>
    </tr>
</table>
<BR><BR><BR>
<b>HISTORIAL DEL EJECUTIVO</b>
<BR>
____________________________________________________________________________________________________________________
<BR>

 ';
$pdf->writeHTMLCell(0, 0, '', '', $html, 0, 1, 0, true, '', true);

// ---------------------------------------------------------

// Close and output PDF document
// This method has several options, check the source code documentation for more information. "D"
$pdf->Output('Factura.pdf', 'I');

 ?>
